Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: ndame <[email-masked]>
Date: Wed, 22 Apr 2020 19:35:15 +0000

> The method Emacs uses to
> determine when to run the next idle timer will not work, because when
> Emacs is about to print a message, that method will return false,
> i.e. tell that the user is not idle.

OK, I didn't check how idle timers worked I just assumed the same
method can be used.

Then I guess the time of the last command can be used if it's
available. If the user did not invoke any command for a while then
we can assume  he's idle.

And it doesn't really matter if the determination of idleness is not
precise, because it only means that errors occuring during this time
won't be hidden by regular messages, they stay in the echo area.

And anytime the user actually invokes a command the echo area is
cleared as it works currently.